﻿Imports BassWaveFormDemo.View.Service
Imports BassWaveFormDemo.ViewModel.Service

Class Application

    Private Sub Application_Startup(sender As Object, e As StartupEventArgs) Handles Me.Startup
        ServiceManager.GetInstance().AddService(Of BassLibService)(New BassLibService())
        ServiceManager.GetInstance().AddService(Of IMainWindowService)(New MainWindowService())
        ServiceManager.GetService(Of IMainWindowService).Show()
    End Sub

    Private Sub Application_Exit(sender As Object, e As ExitEventArgs) Handles Me.[Exit]
        ServiceManager.GetService(Of BassLibService).Shutdown()
    End Sub

End Class
